=== debian/changelog ===
tuned (2.24.0-1) unstable; urgency=medium

  * migrate profiles to /{etc,usr/lib}/tuned/profiles
  * refresh patches
  * Standards-Version: 4.7.0
  * add NEWS.Debian entry about new profiles folders

 -- Evgeni Golov <evgeni@debian.org>  Tue, 29 Oct 2024 20:39:51 +0100
