=== debian/changelog ===
tuned (2.24.1-1ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2092913). Remaining changes:
    - Recommend the default profile for containers:
      + d/p/0004-Recommend-the-default-profile-for-containers.patch:
        apply default profile in containers by default
      + d/t/{control,tuned-container}: check default profile in a container
    - d/t/{control,tuned-vm}: add test to check tuned in a VM
    - d/p/0005-Use-float-instead-of-str-in-cpu-plugin-load-threshol.patch: fix
      error when trying to set CPU latency threshold in a custom profile.
    - d/p/0006-CPU-plugin-log-an-error-when-running-on-s390x.patch:
      notify user that the CPU plugin does not work as expected on
      s390x.
      [Refreshed]
    - Create DEP-8 test for custom profile:
      + d/t/custom-profile: created with content extracted from tuned-vm
        test.  Now expect an error message in the logs when running on
        s390x.
      + d/t/control: add the new custom-profile test.
    - d/t/control: limit test dependencies to only tuned, as tuned-ppd
      changes the default profile to "balanced"
    - Handle a missing python perf module more gracefully (LP #2051290):
      + d/control: suggest linux-tools-common and irqbalance, used by some
        plugins
      + d/p/handle-missing-perf-module.patch: fail more gracefully if the
        python perf module cannot be imported
    - d/t/control: add allow-stderr restriction to the tuned-vm test because
      when the python perf module isn't installed, a log message is written to
      stderr
    - Don't try to tune loop devices (LP #2073007):
      + d/p/disk-plugin-ignore-loop-devices.patch: ignore loop devices
        [Refreshed]
      + d/t/control, d/t/disk-plugin-ignores-loop-devices: new DEP8 test to
        check that tuned is ignoring loop devices
  * Added:
    - d/t/tuned-vm: don't use the postgresql profile due to LP #2092966
    - d/t/custom-profile: profiles now reside in /etc/tuned/profiles
    - d/tuned.postinst: migrate custom profiles from /etc/tuned to
      /etc/tuned/profiles if needed

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 09 Jan 2025 18:06:35 -0300

tuned (2.24.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1088635)
  * fixed privileged execution of arbitrary scripts by active local user
    CVE-2024-52336
  * added sanity checks for API methods parameters
    CVE-2024-52337

 -- Evgeni Golov <evgeni@debian.org>  Wed, 04 Dec 2024 21:07:45 +0100

tuned (2.22.1-1ubuntu4) oracular; urgency=medium

  * Don't try to tune loop devices (LP: #2073007):
    - d/p/disk-plugin-ignore-loop-devices.patch: ignore loop devices
    - d/t/control, d/t/disk-plugin-ignores-loop-devices: new DEP8 test to check
      that tuned is ignoring loop devices

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 03 Sep 2024 14:05:14 -0300

tuned (2.22.1-1ubuntu3) oracular; urgency=medium

  * d/t/control: add allow-stderr restriction to the tuned-vm test because when
    the python perf module isn't installed, a log message is written to stderr

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 22 Aug 2024 19:40:03 -0300

tuned (2.22.1-1ubuntu2) oracular; urgency=medium

  * Handle a missing python perf module more gracefully (LP: #2051290):
    - d/control: suggest linux-tools-common and irqbalance, used by some plugins
    - d/p/handle-missing-perf-module.patch: fail more gracefully if the python
      perf module cannot be imported

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 20 Aug 2024 17:34:44 -0300
