=== debian/tests/control ===
Tests: tuned-adm
Restrictions: isolation-container, needs-root
Depends: tuned

Tests: tuned-container
Restrictions: isolation-container, needs-root, skippable
Depends: tuned

Tests: tuned-vm
# allow-stderr because the missing python3-perf module causes a log message
# to be printed to stderr since LP: #2051290, and that module can't be listed
# as a dependency here because it comes from linux-tools-$(uname -r), i.e., its
# name varies according to the running kernel.
Restrictions: isolation-machine, needs-root, allow-stderr
Depends: tuned

Tests: custom-profile
Restrictions: isolation-machine, needs-root
Depends: tuned

# to test LP: #2073007
Tests: disk-plugin-ignores-loop-devices
Restrictions: isolation-machine, needs-root
Depends: tuned
