## tuned 2.25.1

=== debian/changelog ===
tuned (2.25.1-1ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2115749, LP: #2103658). Remaining changes:
    - d/t/{control,tuned-vm}: add test to check tuned in a VM
    - d/p/0005-Use-float-instead-of-str-in-cpu-plugin-load-threshol.patch: fix
      error when trying to set CPU latency threshold in a custom profile.
    - d/p/0006-CPU-plugin-log-an-error-when-running-on-s390x.patch:
      notify user that the CPU plugin does not work as expected on
      s390x.
    - Create DEP-8 test for custom profile:
      + d/t/custom-profile: created with content extracted from tuned-vm
        test.  Now expect an error message in the logs when running on
        s390x.
      + d/t/control: add the new custom-profile test.
    - d/t/control: limit test dependencies to only tuned, as tuned-ppd
      changes the default profile to "balanced"
    - Handle a missing python perf module more gracefully (LP #2051290):
      + d/control: suggest irqbalance, used by some plugins (and it needs the
        perf module)
      + d/p/handle-missing-perf-module.patch: fail more gracefully if the
        python perf module cannot be imported
        [Refreshed, and updated to only patch the irqbalancer plugin]
    - d/t/control: add allow-stderr restriction to the tuned-vm test because
      when the python perf module isn't installed, a log message is written to
      stderr
    - Don't try to tune loop devices (LP #2073007):
      + d/p/disk-plugin-ignore-loop-devices.patch: ignore loop devices
        [Refreshed]
      + d/t/control, d/t/disk-plugin-ignores-loop-devices: new DEP8 test to
        check that tuned is ignoring loop devices
    - d/t/tuned-vm: don't use the postgresql profile due to LP #2092966
    - d/t/custom-profile: profiles now reside in /etc/tuned/profiles
  * Dropped:
    - Recommend the default profile for containers:
      + d/p/0004-Recommend-the-default-profile-for-containers.patch:
        apply default profile in containers by default
        [In 2.25.1-1]
      + d/t/{control,tuned-container}: check default profile in a container
        [In 2.25.1-1]
    - d/tuned.postinst: migrate custom profiles from /etc/tuned to
      /etc/tuned/profiles if needed
      [In 2.25.1-1]
  * Added:
    - d/control: build-dep on linux-perf, or else the documentation for
      plugins that require linux-perf won't be built

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 23 Jul 2025 10:22:09 -0300

tuned (2.25.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1094790)
  * Support the new UPower PPD namespace (Closes: #1100608)
  * Depend on python3-pyinotify

 -- Evgeni Golov <evgeni@debian.org>  Tue, 01 Apr 2025 21:43:33 +0200
