=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                dh-python,
                ethtool,
                hdparm,
+               linux-perf,
                pkgconf,
                python3-all,
                python3-dbus,
@@ -35,7 +36,7 @@
          ${misc:Depends},
          ${python3:Depends}
 Recommends: linux-cpupower, linux-perf, dmidecode, hdparm, iproute2, kmod
-Suggests: linux-tools-common, irqbalance
+Suggests: irqbalance
 Description: daemon for monitoring and adaptive tuning of system devices
  The tuned package contains a daemon that tunes system settings dynamically.
  It does so by monitoring the usage of several system components periodically.
@@ -66,6 +67,7 @@
 Package: tuned-ppd
 Architecture: all
 Depends: tuned (= ${binary:Version}),
+         python3-pyinotify,
          ${misc:Depends},
          ${python3:Depends}
 Conflicts: power-profiles-daemon
