=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,10 @@
 Depends: tuned
 
 Tests: tuned-container
-Restrictions: isolation-container, needs-root, skippable
+Restrictions: isolation-container, needs-root, skippable, allow-stderr
+# Don't install tuned-ppd specifically, as that changes the default profile
+# to balanced, and in this test we want to verify that the default profile
+# is "default" instead
 Depends: tuned
 
 Tests: tuned-vm
