## tuned 2.26.0

=== Makefile ===
--- 
+++ 
@@ -32,27 +32,32 @@
 TMPFILESDIR = $(TMPFILESDIR_DETECT:%{_tmpfilesdir}=$(TMPFILESDIR_FALLBACK))
 VERSIONED_NAME = $(NAME)-$(VERSION)$(PRERELEASE)$(GIT_PSUFFIX)
 
+export PREFIX = /usr
+export BINDIR = $(PREFIX)/bin
+export SBINDIR = $(PREFIX)/sbin
 export SYSCONFDIR = /etc
-export DATADIR = /usr/share
+export LIBEXECDIR = $(PREFIX)/libexec
+export DATADIR = $(PREFIX)/share
 export DOCDIR = $(DATADIR)/doc/$(NAME)
-PYTHON = /usr/bin/python3
+export PYTHON = $(BINDIR)/python3
 PYLINT = pylint-3
 ifeq ($(PYTHON),python2)
 PYLINT = pylint-2
 endif
-SHEBANG_REWRITE_REGEX= '1s|^\#!/usr/bin/\<python3\>|\#!$(PYTHON)|'
+SHEBANG_REWRITE_REGEX= '1s|^\#!$(BINDIR)/\<python3\>|\#!$(PYTHON)|'
 PYTHON_SITELIB = $(shell $(PYTHON) -c 'from sysconfig import get_path; print(get_path("purelib"));')
 ifeq ($(PYTHON_SITELIB),)
 $(error Failed to determine python library directory)
 endif
-KERNELINSTALLHOOKDIR = /usr/lib/kernel/install.d
-TUNED_SYSTEM_DIR = /usr/lib/tuned
+KERNELINSTALLHOOKDIR = $(PREFIX)/lib/kernel/install.d
+TUNED_SYSTEM_DIR = $(PREFIX)/lib/tuned
 TUNED_SYSTEM_PROFILES_DIR = $(TUNED_SYSTEM_DIR)/profiles
 TUNED_CFG_DIR = $(SYSCONFDIR)/tuned
 TUNED_USER_PROFILES_DIR = $(TUNED_CFG_DIR)/profiles
 TUNED_RECOMMEND_DIR = $(TUNED_SYSTEM_DIR)/recommend.d
 TUNED_USER_RECOMMEND_DIR = $(TUNED_CFG_DIR)/recommend.d
 BASH_COMPLETIONS = $(DATADIR)/bash-completion/completions
+PPD_BUS_NAMES = org.freedesktop.UPower.PowerProfiles net.hadess.PowerProfiles
 
 copy_executable = install -Dm 0755 $(1) $(2)
 rewrite_shebang = sed -i -r -e $(SHEBANG_REWRITE_REGEX) $(1)
@@ -70,7 +75,7 @@
 		tuned-adm.bash dbus.conf recommend.conf tuned-main.conf 00_tuned \
 		92-tuned.install bootcmdline modules.conf com.redhat.tuned.policy \
 		tuned-gui.py tuned-gui.glade tuned-ppd.py \
-		tuned-gui.desktop functions $(VERSIONED_NAME)
+		tuned-gui.desktop functions compile_plugin_docs.py $(VERSIONED_NAME)
 	cp -a doc experiments libexec man profiles systemtap tuned contrib icons \
 		tests $(VERSIONED_NAME)
 
@@ -146,21 +151,21 @@
 	cp -a tuned $(DESTDIR)$(PYTHON_SITELIB)
 
 	# binaries
-	$(call install_python_script,tuned.py,$(DESTDIR)/usr/sbin/tuned)
-	$(call install_python_script,tuned-adm.py,$(DESTDIR)/usr/sbin/tuned-adm)
-	$(call install_python_script,tuned-gui.py,$(DESTDIR)/usr/sbin/tuned-gui)
+	$(call install_python_script,tuned.py,$(DESTDIR)$(SBINDIR)/tuned)
+	$(call install_python_script,tuned-adm.py,$(DESTDIR)$(SBINDIR)/tuned-adm)
+	$(call install_python_script,tuned-gui.py,$(DESTDIR)$(SBINDIR)/tuned-gui)
 
 	$(foreach file, diskdevstat netdevstat scomes, \
-		install -Dpm 0755 systemtap/$(file) $(DESTDIR)/usr/sbin/$(notdir $(file));)
+		install -Dpm 0755 systemtap/$(file) $(DESTDIR)$(SBINDIR)/$(notdir $(file));)
 	$(call install_python_script, \
-		systemtap/varnetload, $(DESTDIR)/usr/sbin/varnetload)
+		systemtap/varnetload, $(DESTDIR)$(SBINDIR)/varnetload)
 
 	# glade
 	install -Dpm 0644 tuned-gui.glade $(DESTDIR)$(DATADIR)/tuned/ui/tuned-gui.glade
 
 	# tools
 	$(call install_python_script, \
-		 experiments/powertop2tuned.py, $(DESTDIR)/usr/bin/powertop2tuned)
+		 experiments/powertop2tuned.py, $(DESTDIR)$(BINDIR)/powertop2tuned)
 
 	# configuration files
 	# Update default profiles location, in the configuration and in the code
@@ -178,6 +183,7 @@
 	echo -n > $(DESTDIR)$(TUNED_CFG_DIR)/active_profile
 	echo -n > $(DESTDIR)$(TUNED_CFG_DIR)/profile_mode
 	echo -n > $(DESTDIR)$(TUNED_CFG_DIR)/post_loaded_profile
+	echo -n > $(DESTDIR)$(TUNED_CFG_DIR)/ppd_base_profile
 	install -Dpm 0644 bootcmdline $(DESTDIR)$(TUNED_CFG_DIR)/bootcmdline
 	install -Dpm 0644 modules.conf $(DESTDIR)$(SYSCONFDIR)/modprobe.d/tuned.conf
 
@@ -231,7 +237,7 @@
 	# libexec scripts
 	$(foreach file, $(wildcard libexec/*), \
 		$(call install_python_script, \
-			$(file), $(DESTDIR)/usr/libexec/tuned/$(notdir $(file))))
+			$(file), $(DESTDIR)$(LIBEXECDIR)/tuned/$(notdir $(file))))
 
 	# icon
 	install -Dpm 0644 icons/tuned.svg $(DESTDIR)$(DATADIR)/icons/hicolor/scalable/apps/tuned.svg
@@ -241,12 +247,16 @@
 	desktop-file-install --dir=$(DESTDIR)$(DATADIR)/applications tuned-gui.desktop
 
 install-ppd:
-	$(call install_python_script,tuned-ppd.py,$(DESTDIR)/usr/sbin/tuned-ppd)
+	$(call install_python_script,tuned-ppd.py,$(DESTDIR)$(SBINDIR)/tuned-ppd)
 	install -Dpm 0644 tuned/ppd/tuned-ppd.service $(DESTDIR)$(UNITDIR)/tuned-ppd.service
-	install -Dpm 0644 tuned/ppd/tuned-ppd.dbus.service $(DESTDIR)$(DATADIR)/dbus-1/system-services/net.hadess.PowerProfiles.service
-	install -Dpm 0644 tuned/ppd/dbus.conf $(DESTDIR)$(DATADIR)/dbus-1/system.d/net.hadess.PowerProfiles.conf
-	install -Dpm 0644 tuned/ppd/tuned-ppd.policy $(DESTDIR)$(DATADIR)/polkit-1/actions/net.hadess.PowerProfiles.policy
 	install -Dpm 0644 tuned/ppd/ppd.conf $(DESTDIR)$(SYSCONFDIR)/tuned/ppd.conf
+	$(foreach bus, $(PPD_BUS_NAMES), \
+		install -Dpm 0644 tuned/ppd/tuned-ppd.dbus.service $(DESTDIR)$(DATADIR)/dbus-1/system-services/$(bus).service; \
+		sed -i 's/?name?/$(bus)/g' $(DESTDIR)$(DATADIR)/dbus-1/system-services/$(bus).service; \
+		install -Dpm 0644 tuned/ppd/dbus.conf $(DESTDIR)$(DATADIR)/dbus-1/system.d/$(bus).conf; \
+		sed -i 's/?name?/$(bus)/g' $(DESTDIR)$(DATADIR)/dbus-1/system.d/$(bus).conf; \
+		install -Dpm 0644 tuned/ppd/tuned-ppd.policy $(DESTDIR)$(DATADIR)/polkit-1/actions/$(bus).policy; \
+		sed -i 's/?name?/$(bus)/g' $(DESTDIR)$(DATADIR)/polkit-1/actions/$(bus).policy;)
 
 clean: clean-html
 	find -name "*.pyc" | xargs rm -f
