=== debian/changelog ===
tuned (2.26.0-1) unstable; urgency=medium

  [ Evgeni Golov ]
  * New upstream release
  * mark patches as forwarded if they were
  * Standards-Version: 4.7.2

  [ Andreas Hasenack ]
  * d/control: add build-dep on linux-perf to include irqbalance docs
    (Closes: #1109771)

 -- Evgeni Golov <evgeni@debian.org>  Thu, 11 Sep 2025 19:17:28 +0200
