=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tuned
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
+Maintainer: Evgeni Golov <evgeni@debian.org>
 Build-Depends: asciidoctor,
                debhelper-compat (= 13),
                desktop-file-utils,
@@ -16,7 +15,7 @@
                python3-gi,
                python3-pyudev,
                systemd-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://tuned-project.org/
 Vcs-Git: https://salsa.debian.org/debian/tuned.git
 Vcs-Browser: https://salsa.debian.org/debian/tuned
@@ -36,7 +35,6 @@
          ${misc:Depends},
          ${python3:Depends}
 Recommends: linux-cpupower, linux-perf, dmidecode, hdparm, iproute2, kmod
-Suggests: irqbalance
 Description: daemon for monitoring and adaptive tuning of system devices
  The tuned package contains a daemon that tunes system settings dynamically.
  It does so by monitoring the usage of several system components periodically.
