## tuned 2.27.0

=== debian/changelog ===
tuned (2.27.0-1) unstable; urgency=medium

  * New upstream release
  * Depend on "default-dbus-system-bus | dbus-system-bus" (Closes: #1122731)

 -- Evgeni Golov <evgeni@debian.org>  Mon, 02 Mar 2026 20:07:11 +0100
