=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 Package: tuned
 Architecture: all
-Depends: dbus,
+Depends: default-dbus-system-bus | dbus-system-bus,
          ethtool,
          gawk,
          polkitd,
